%global xfceversion 4.14
Name:           xfce4-appfinder
Version:        4.14.0
Release:        2
Summary:        Application finder for the Xfce4 desktop environment
License:        GPLv2+
#Group:          Development/Libraries
URL:            http://www.xfce.org/
Source0:        http://archive.xfce.org/src/xfce/%{name}/%{xfceversion}/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:      noarch
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.84
BuildRequires:  pkgconfig(garcon-1) >= 0.1.7
BuildRequires:  pkgconfig(libxfce4ui-1) >= %{xfceversion}
BuildRequires:  pkgconfig(libxfconf-0) >= %{xfceversion}
BuildRequires:  desktop-file-utils
BuildRequires:  gettext 
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  startup-notification-devel

%description
xfce-appfinder will search for installed applications on your system. It can also be used
to browse installed applications by category, run them or edit their launchers.
xfce4-appfinder can also be used with a shortcut command to quickly run applications, 
and also supports custom prefixes to execute custom commands on provided paramers.

%prep
%setup -q

# fix icon problems - GTK-3.10+
sed -i 's/gtk-find/edit-find/g' data/xfce4-appfinder.desktop.in
sed -i 's/gtk-execute/system-run/g' data/xfce4-run.desktop.in

%build
%configure

%make_build

%install
%make_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/xfce4-run.desktop

appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/org.xfce.%{name}.appdata.xml

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc README TODO ChangeLog AUTHORS
%{_bindir}/xfce4-appfinder
%{_bindir}/xfrun4
%{_datadir}/applications/xfce4-*.desktop
%{_metainfodir}/org.xfce.%{name}.appdata.xml

%changelog
* Sun Jul 12 2020 Dillon Chen <dillon.chen@turbolinux.com.cn> - 4.14.0-1
- Init package
